Skip to main content
POST
iOS — Initiate direct-to-S3 multipart upload for a new file slot

Authorizations

Authorization
string
header
required

JWT Bearer token authentication. Use the /api/login endpoint to obtain a token.

Path Parameters

dealFolder
integer
required

Deal folder ID

Example:

12

Body

application/json
milestone_athlete_rel_id
integer
required

MilestonesAthleteRel ID this file belongs to.

Example:

88

file_name
string
required

Original file name (max 500 chars).

Example:

"reel.mp4"

file_size
integer
required

File size in bytes. Max 250 MB (262144000 bytes).

Example:

8421376

file_mime_type
string
required

MIME type of the file (max 255 chars).

Example:

"video/mp4"

Response

Upload session created with presigned part URLs

status
string
Example:

"success"

data
object